<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_platform.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>tivx_platform.h</h1><a href="tivx__platform_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">*</span>
<a name="l00003"></a>00003 <span class="comment">* Copyright (c) 2017 Texas Instruments Incorporated</span>
<a name="l00004"></a>00004 <span class="comment">*</span>
<a name="l00005"></a>00005 <span class="comment">* All rights reserved not granted herein.</span>
<a name="l00006"></a>00006 <span class="comment">*</span>
<a name="l00007"></a>00007 <span class="comment">* Limited License.</span>
<a name="l00008"></a>00008 <span class="comment">*</span>
<a name="l00009"></a>00009 <span class="comment">* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive</span>
<a name="l00010"></a>00010 <span class="comment">* license under copyrights and patents it now or hereafter owns or controls to make,</span>
<a name="l00011"></a>00011 <span class="comment">* have made, use, import, offer to sell and sell (&quot;Utilize&quot;) this software subject to the</span>
<a name="l00012"></a>00012 <span class="comment">* terms herein.  With respect to the foregoing patent license, such license is granted</span>
<a name="l00013"></a>00013 <span class="comment">* solely to the extent that any such patent is necessary to Utilize the software alone.</span>
<a name="l00014"></a>00014 <span class="comment">* The patent license shall not apply to any combinations which include this software,</span>
<a name="l00015"></a>00015 <span class="comment">* other than combinations with devices manufactured by or for TI (&quot;TI Devices&quot;).</span>
<a name="l00016"></a>00016 <span class="comment">* No hardware patent is licensed hereunder.</span>
<a name="l00017"></a>00017 <span class="comment">*</span>
<a name="l00018"></a>00018 <span class="comment">* Redistributions must preserve existing copyright notices and reproduce this license</span>
<a name="l00019"></a>00019 <span class="comment">* (including the above copyright notice and the disclaimer and (if applicable) source</span>
<a name="l00020"></a>00020 <span class="comment">* code license limitations below) in the documentation and/or other materials provided</span>
<a name="l00021"></a>00021 <span class="comment">* with the distribution</span>
<a name="l00022"></a>00022 <span class="comment">*</span>
<a name="l00023"></a>00023 <span class="comment">* Redistribution and use in binary form, without modification, are permitted provided</span>
<a name="l00024"></a>00024 <span class="comment">* that the following conditions are met:</span>
<a name="l00025"></a>00025 <span class="comment">*</span>
<a name="l00026"></a>00026 <span class="comment">* *       No reverse engineering, decompilation, or disassembly of this software is</span>
<a name="l00027"></a>00027 <span class="comment">* permitted with respect to any software provided in binary form.</span>
<a name="l00028"></a>00028 <span class="comment">*</span>
<a name="l00029"></a>00029 <span class="comment">* *       any redistribution and use are licensed by TI for use only with TI Devices.</span>
<a name="l00030"></a>00030 <span class="comment">*</span>
<a name="l00031"></a>00031 <span class="comment">* *       Nothing shall obligate TI to provide you with source code for the software</span>
<a name="l00032"></a>00032 <span class="comment">* licensed and provided to you in object code.</span>
<a name="l00033"></a>00033 <span class="comment">*</span>
<a name="l00034"></a>00034 <span class="comment">* If software source code is provided to you, modification and redistribution of the</span>
<a name="l00035"></a>00035 <span class="comment">* source code are permitted provided that the following conditions are met:</span>
<a name="l00036"></a>00036 <span class="comment">*</span>
<a name="l00037"></a>00037 <span class="comment">* *       any redistribution and use of the source code, including any resulting derivative</span>
<a name="l00038"></a>00038 <span class="comment">* works, are licensed by TI for use only with TI Devices.</span>
<a name="l00039"></a>00039 <span class="comment">*</span>
<a name="l00040"></a>00040 <span class="comment">* *       any redistribution and use of any object code compiled from the source code</span>
<a name="l00041"></a>00041 <span class="comment">* and any resulting derivative works, are licensed by TI for use only with TI Devices.</span>
<a name="l00042"></a>00042 <span class="comment">*</span>
<a name="l00043"></a>00043 <span class="comment">* Neither the name of Texas Instruments Incorporated nor the names of its suppliers</span>
<a name="l00044"></a>00044 <span class="comment">*</span>
<a name="l00045"></a>00045 <span class="comment">* may be used to endorse or promote products derived from this software without</span>
<a name="l00046"></a>00046 <span class="comment">* specific prior written permission.</span>
<a name="l00047"></a>00047 <span class="comment">*</span>
<a name="l00048"></a>00048 <span class="comment">* DISCLAIMER.</span>
<a name="l00049"></a>00049 <span class="comment">*</span>
<a name="l00050"></a>00050 <span class="comment">* THIS SOFTWARE IS PROVIDED BY TI AND TI&apos;S LICENSORS &quot;AS IS&quot; AND ANY EXPRESS</span>
<a name="l00051"></a>00051 <span class="comment">* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES</span>
<a name="l00052"></a>00052 <span class="comment">* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.</span>
<a name="l00053"></a>00053 <span class="comment">* IN NO EVENT SHALL TI AND TI&apos;S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,</span>
<a name="l00054"></a>00054 <span class="comment">* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,</span>
<a name="l00055"></a>00055 <span class="comment">* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00056"></a>00056 <span class="comment">* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY</span>
<a name="l00057"></a>00057 <span class="comment">* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE</span>
<a name="l00058"></a>00058 <span class="comment">* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED</span>
<a name="l00059"></a>00059 <span class="comment">* OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00060"></a>00060 <span class="comment">*</span>
<a name="l00061"></a>00061 <span class="comment">*/</span>
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 
<a name="l00066"></a>00066 <span class="preprocessor">#ifndef TIVX_PLATFORM_H_</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span><span class="preprocessor">#define TIVX_PLATFORM_H_</span>
<a name="l00068"></a>00068 <span class="preprocessor"></span>
<a name="l00069"></a>00069 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00070"></a>00070 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00071"></a>00071 <span class="preprocessor">#endif</span>
<a name="l00072"></a>00072 <span class="preprocessor"></span>
<a name="l00073"></a>00073 <span class="preprocessor">#include &lt;<a class="code" href="tivx__obj__desc__priv_8h.html" title="Internal private implementation of object descriptor.">tivx_obj_desc_priv.h</a>&gt;</span>
<a name="l00074"></a>00074 
<a name="l00085"></a><a class="code" href="group__group__tivx__platform.html#ga60dd5b4e5393c3efae0b37bfd51122db">00085</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
<a name="l00086"></a>00086 
<a name="l00088"></a><a class="code" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dba8403855db8d16c671c982da48e11f490">00088</a>     <a class="code" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dba8403855db8d16c671c982da48e11f490" title="Lock the shared object descriptor table.">TIVX_PLATFORM_LOCK_OBJ_DESC_TABLE</a> = 0,
<a name="l00089"></a>00089 
<a name="l00091"></a><a class="code" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dbac2106ead9f185154f784a3effe61006e">00091</a>     <a class="code" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dbac2106ead9f185154f784a3effe61006e" title="Lock the context during context create and delete.">TIVX_PLATFORM_LOCK_CONTEXT</a>,
<a name="l00092"></a>00092 
<a name="l00094"></a><a class="code" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dba23fdd08418e39aac36e92a5add8f467b">00094</a>     <a class="code" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dba23fdd08418e39aac36e92a5add8f467b" title="Max number of locks.">TIVX_PLATFORM_LOCK_MAX</a>
<a name="l00095"></a>00095 
<a name="l00096"></a>00096 } <a class="code" href="group__group__tivx__platform.html#ga60dd5b4e5393c3efae0b37bfd51122db" title="Types of system level locks.">tivx_platform_lock_type_e</a>;
<a name="l00097"></a>00097 
<a name="l00107"></a>00107 <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> <a class="code" href="group__group__tivx__platform.html#ga163eb793acabcf9c228318bd9112b8d8" title="Convert a target name to a specific target ID.">tivxPlatformGetTargetId</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *target_name);
<a name="l00108"></a>00108 
<a name="l00119"></a>00119 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__tivx__platform.html#gae52b4fec9fe9fc881217f834b16e4772" title="Match a user specified target_string with kernel suported target name.">tivxPlatformTargetMatch</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *kernel_target_name, <span class="keyword">const</span> <span class="keywordtype">char</span> *target_string);
<a name="l00120"></a>00120 
<a name="l00121"></a>00121 
<a name="l00130"></a>00130 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#gac6bb6eb426a15e8805041746492a42dd" title="Return shared memory info which holds the object descriptors.">tivxPlatformGetObjDescTableInfo</a>(<a class="code" href="structtivx__obj__desc__table__info__t.html" title="Data structure to hold info about object descriptor table.">tivx_obj_desc_table_info_t</a> *table_info);
<a name="l00131"></a>00131 
<a name="l00140"></a>00140 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#ga9995aaea95bc5fb2164953056ccd4281" title="Take a system level lock.">tivxPlatformSystemLock</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> lock_id);
<a name="l00141"></a>00141 
<a name="l00147"></a>00147 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#gae40cf85733222fb64e12462a48a847ef" title="Release system level lock.">tivxPlatformSystemUnlock</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> lock_id);
<a name="l00148"></a>00148 
<a name="l00154"></a>00154 uint64_t <a class="code" href="group__group__tivx__platform.html#gafe9199791da44e9a0b0a26c81cf49180" title="Get the time in micro seconds.">tivxPlatformGetTimeInUsecs</a>(<span class="keywordtype">void</span>);
<a name="l00155"></a>00155 
<a name="l00161"></a>00161 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__tivx__platform.html#gadfc3155b433c4d7d5327803d984abfd4" title="Init Platform module.">tivxPlatformInit</a>(<span class="keywordtype">void</span>);
<a name="l00162"></a>00162 
<a name="l00168"></a>00168 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#ga768f6b4525527196bb1c157932ef150a" title="DeInit Platform module.">tivxPlatformDeInit</a>(<span class="keywordtype">void</span>);
<a name="l00169"></a>00169 
<a name="l00175"></a>00175 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#ga51af70f92ac58c4872df7d22df0c0781" title="Print given string.">tivxPlatformPrintf</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *format);
<a name="l00176"></a>00176 
<a name="l00185"></a>00185 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#gac8b108ea08441007956dc181d70f222d" title="Function to set the target configuration.">tivxPlatformCreateTargets</a>(<span class="keywordtype">void</span>);
<a name="l00186"></a>00186 
<a name="l00192"></a>00192 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#ga845dbad929f94c02f396286a4d420336" title="Function to destroy created targets.">tivxPlatformDeleteTargets</a>(<span class="keywordtype">void</span>);
<a name="l00193"></a>00193 
<a name="l00200"></a>00200 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#ga89aa5a7d6c37fd14db9091a4de40a871" title="Utility function to enable Platform specific things Currently Used for EVE algorithm...">tivxPlatformActivate</a>();
<a name="l00201"></a>00201 
<a name="l00208"></a>00208 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__platform.html#gad19b728fb29ec3dfd9a2dbf14f7b6732" title="Utility function to disable Platform specific things Currently Used for EVE algorithm...">tivxPlatformDeactivate</a>();
<a name="l00209"></a>00209 
<a name="l00210"></a>00210 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00211"></a>00211 <span class="preprocessor"></span>}
<a name="l00212"></a>00212 <span class="preprocessor">#endif</span>
<a name="l00213"></a>00213 <span class="preprocessor"></span>
<a name="l00214"></a>00214 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
